Bug 843737 - QuickStart tweetstream: unresolved dependencies
QuickStart tweetstream: unresolved dependencies
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Templates (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Bill DeCoste
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 04:34 EDT by Attila Nagy
Modified: 2015-05-14 22:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:42:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Attila Nagy 2012-07-27 04:34:04 EDT
Description of problem: I'm unable to install quick-start application tweetstream. Mavan build fails.

remote: [ERROR] Failed to execute goal on project tweetstream: Could not resolve dependencies for project org.richfaces.examples.tweetstream:tweetstream:war:1.0.0-SNAPSHOT: Failed to collect dependencies for [javax.enterprise:cdi-api:jar:1.0 (provided), org.jboss.ejb3:jboss-ejb3-api:jar:3.1.0 (provided), javax.annotation:jsr250-api:jar:1.0 (provided), javax.validation:validation-api:jar:1.0.0.GA (provided), org.hibernate:hibernate-validator:jar:4.2.0.Beta2 (provided), javax.faces:jsf-api:jar:2.0.2-FCS (provided), javax.faces:jsf-impl:jar:2.0.2-FCS (provided), org.hibernate.javax.persistence:hibernate-jpa-2.0-api:jar:1.0.1.Final (provided), org.testng:testng:jar:jdk15:5.10 (test), org.glassfish.web:el-impl:jar:2.1.2-b04 (runtime), org.twitter4j:twitter4j-core:jar:[2.2,) (compile), org.twitter4j:twitter4j-stream:jar:[2.2,) (compile), org.atmosphere:atmosphere-runtime:jar:[0.9,) (compile), javax.servlet:servlet-api:jar:2.5 (provided), javax.servlet.jsp:jsp-api:jar:2.2 (provided), org.richfaces.ui:richfaces-components-ui:jar:4.1.0-SNAPSHOT (compile), org.richfaces.ui:richfaces-components-api:jar:4.1.0-SNAPSHOT (compile), org.richfaces.core:richfaces-core-impl:jar:4.1.0-SNAPSHOT (compile), org.jboss.weld:weld-core:jar:1.1.0.CR3 (provided), org.jboss.logging:jboss-logging:jar:3.0.0.Beta4 (provided), org.jboss.seam.solder:seam-solder:jar:3.0.0.Beta1 (compile), org.infinispan:infinispan-core:jar:5.0.0.BETA2 (compile), commons-lang:commons-lang:jar:2.3 (compile), org.slf4j:slf4j-api:jar:1.5.9.RC1 (compile), org.slf4j:slf4j-simple:jar:1.5.9.RC1 (compile), org.richfaces.examples.tweetstream:shared:jar:1.0.0-SNAPSHOT (compile), org.jboss.resteasy:resteasy-jaxrs:jar:2.2.1.GA (provided)]: Failed to read artifact descriptor for org.atmosphere:atmosphere-runtime:jar:1.0.0.beta4: Could not transfer artifact org.atmosphere:atmosphere-runtime:pom:1.0.0.beta4 from/to nexus (http://mirror1.stg.rhcloud.com:80/nexus/content/groups/public): Error transferring file: Server returned HTTP response code: 502 for URL: http://mirror1.stg.rhcloud.com:80/nexus/content/groups/public/org/atmosphere/atmosphere-runtime/1.0.0.beta4/atmosphere-runtime-1.0.0.beta4.pom -> [Help 1]


Version-Release number of selected component (if applicable):
devenv_1916 (ami-c1f951a8)


How reproducible: Always


Steps to Reproduce:
1. Follow the instructions on https://github.com/openshift/tweetstream-example

  
Actual results: Maven build fails. See the error-message above.


Expected results: The application must be installed successfully


Additional info: JBoss cartridges user Java 7 now
Comment 1 Bill DeCoste 2012-07-27 21:17:50 EDT
Fixed atmosphere-runtime version dependency
Comment 2 Attila Nagy 2012-07-30 05:59:55 EDT
Verified against  devenv_1920 (ami-27aa024e)

Note You need to log in before you can comment on or make changes to this bug.